Skip to main content
GET
/preview/retail-media/catalog/products/batch/report/{operation-token}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

RetailMedia_Catalog_Read

Grants Read access to the capabilities from the Catalog domain, for RetailMedia applications

Path Parameters

operation-token
string
required

The token returned by the batch endpoint.

Response

200 - application/json

The report object

The report on a given operationToken is ready. The report is available for 4 days

errorDetails
object[]
required

The list of errors with details.

importRequestTimestamp
string
required

The date when the original batch request was sent.

numberOfProductsDeleted
string
required

The number of products deleted.

numberOfProductsInTheBatch
string
required

The number of products present in the batch.

numberOfProductsUpserted
string
required

The number of products upserted.

numberOfProductsWithErrors
string
required

The number of products with errors.

numberOfProductsWithWarnings
string
required

The number of products with warnings.

status
enum<string>
required

The status of the operation. The operation is completed when the status is one of (VALIDATED,VALIDATED_WITH_ERRORS,FAILED)

Available options:
ACCEPTED,
IN_PROGRESS,
VALIDATED,
VALIDATED_WITH_ERRORS,
FAILED
warningDetails
object[]
required

The list of warnings with details.